Subject: Re: linux-next: build failure after merge of the crypto-current tree

From: Luis Henriques <[email-masked]>
Date: Thu, 3 Nov 2011 10:15:54 +0000

On Thu, Nov 03, 2011 at 05:16:28PM +1100, Herbert Xu wrote:
> On Thu, Nov 03, 2011 at 06:58:24AM +0100, Steffen Klassert wrote:
> > On Thu, Nov 03, 2011 at 10:39:36AM +1100, Herbert Xu wrote:
> > > On Wed, Nov 02, 2011 at 08:09:13PM +0000, Luis Henriques wrote:
> > > >
> > > > I'm not sure if this is related, but I am currently unable to build mainline
> > > > kernel when disabling CONFIG_NET.  This seems to be due to the patch serie:
> > > > 
> > > > http://news.gmane.org/gmane.linux.kernel.cryptoapi/cutoff=6228
> > > > 
> > > > For instance, commit 6ad414fe710d4fd3a8c8c6c2ad8fefcfcc207968 adds a dependency
> > > > over function nla_put(), which is only defined when CONFIG_NET is enabled.
> > > 
> > > Indeed, I missed the dependency in the report functions which
> > > is built even when CRYPTO_USER is turned off.
> > > 
> > > Does this patch fix the problem for you?
> > > 
> > 
> > Hm, did you forget to add the patch to the mail?
> 
> Probably :)
> 
> diff --git a/crypto/Kconfig b/crypto/Kconfig
> index 527a857..cdba95c 100644
> --- a/crypto/Kconfig
> +++ b/crypto/Kconfig
> @@ -38,6 +38,7 @@ config CRYPTO_ALGAPI
>  
>  config CRYPTO_ALGAPI2
>  	tristate
> +	select NLATTR
>  
>  config CRYPTO_AEAD
>  	tristate

No, this did not solved the problem; build still fails.  The problem is
that, in lib/nlattr.c, we have:

#ifdef CONFIG_NET
...
EXPORT_SYMBOL(nla_put);
...
#endif

So, I still have an undefined reference to nla_put.

BTW, I'm not talking about the -next tree, so this problem may or may not
be the same one reported by Stephen.

Cheers,
--
Luis Henriques